/**
 * This module is responsible for managing event triggers - a singal, that is sent to BTT app
 * on which some actions shall be performed
 *
 * @TODO: make use of notices mechanism
 */
import { EventCategory } from '../../types/enum';
import { EventTrigger } from '../../types/types';
export default class EventTriggers {
    private static events;
    /**
     * Returns all predefined event trigger definitions
     */
    static readonly all: EventTrigger[];
    /**
     * Returns all triggers that match the specified category
     * @param category
     */
    static getByCategory(category: EventCategory): EventTrigger[];
    /**
     * Returns single trigger based on id
     * @param id
     */
    static getById(id: number): EventTrigger;
    /**
     * Returns trigger definition based by name - string passed by user
     *
     * In case user requests key combo event, dummy object is returned
     * @param name
     */
    static getByName(name: string): EventTrigger;
}
