import * as Types from '../types/types';
import Utilities from '../abstract/utils';
export default class FrontendUtilities extends Utilities {
    protected type: 'frontend' | 'backend';
    fetch(url: string, options?: any): Promise<any>;
    deleteTrigger(uuid: string): void;
    getNodeBinaryPath(): string;
    getMdlsName(applicationPath: string): string;
    /**
    * Sends a request to real BTT built in webserver with given data translated as GET query params
    */
    callBetterTouchTool(action: string, data: Types.BttPayload, config: Types.AppConfig, translate?: boolean): Promise<Types.CallResult>;
    performanceNow: () => number;
    private readonly isInBttWebView;
    /**
     * Available only on frontend, because this is valid only for built in BTT webview
     * @param action
     * @param data
     * @param translate
     */
    private callBttWebViewFunctions;
}
